%define name gkrellm-themes
%define version 0.2
%define release 5mdk

Name:		%{name}
Summary:	Themes for the GKrellM
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
URL:		http://www.muhri.net
Source:		%{name}-%{version}.tar.bz2
Requires:	gkrellm >= 0.9.0
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch

%description
This package contains some nice themes for the GKrellM monitoring utility.

%prep
%setup -q
# remove .xvpics directories
find . -type d -name .xvpics | xargs rm -rf

%build

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/gkrellm2/themes
cp -av $RPM_BUILD_DIR/%{name}-%{version}/* %{buildroot}%{_datadir}/gkrellm2/themes
# fix permissions and make rpmlint happy
find %{buildroot}%{_datadir}/gkrellm2/themes -type f -exec chmod 0644 {} \;
find %{buildroot}%{_datadir}/gkrellm2/themes -size 0 -exec rm -f {} \;

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root,0755)
%{_datadir}/gkrellm2/themes

%changelog
* Mon Apr 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.2-5mdk
- fixed dir ownership (Olivier Thauvin <thauvin@aerov.jussieu.fr>)

* Sun Mar 23 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.2-4mdk
- s/Copyright/License
- removed lurking .xvpics directories

* Thu Jan 02 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.2-3mdk
- a bot told me to rebuild so here we go
- fix some rpmlint errors while we're at it

* Fri Oct 11 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.2-2mdk
- build for gkrellm2

* Thu Jan 31 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.2-1mdk
- a lot more themes

* Thu Apr 05 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.1-2mdk
- spec cleanups
- more themes

* Tue May 16 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.1-1mdk
- initial specfile
- Added 26 different themes
